%define upstream_name    Data-Printer
%define upstream_version 0.38

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Pretty-printing date and time objects (not just DateTime!)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone::PP)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::HomeDir) >= 0.910.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Package::Stash) >= 0.300.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sort::Naturally)
BuildRequires: perl(Term::ANSIColor) >= 3.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%{?perl_default_filter}

%description
the Data::Printer manpage lets you add custom filters to display data
structures and objects, by either specifying them during "use", in the
'.dataprinter' configuration file, or even in runtime customizations.

But there are times when you may want to group similar filters, or make
them standalone in order to be easily reutilized in other environments and
applications, or even upload them to CPAN so other people can benefit from
a cleaner - and clearer - object/structure dump.

This is where 'Data::Printer::Filter' comes in. It *exports* into your
package's namespace the the /filter manpage function, along with some
helpers to create custom filter packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.380.0-3pclos2017
- rebuild against updates

